//=========================DOKUMENTACNI CAST==================================

  /*
   * CH_KEYB.C, verze 1.0
   *
   * Modul obsahuje rozsirujici fce pro praci s klavesnici
   *
   * Jen pro MS-DOS
   *
   * Martin Slouf, 25.4.1999
   *
   */

//========================POTREBNE INCLUDE SOUBORY============================

  /*
   * systemove .H soubory #include <stdio.h>
   *
   * vlastni .H soubory #include "vzor.h"
   *
   */

#include <stdio.h>
#include <conio.h>
#include "ch_keyb.h"

//===================DEFINICE GLOBALNICH IMPORTOVANYCH OBJEKTU================

  //zadne by byt nemely - vse by melo byt v .H souborech

  /*
   * jde o importovane objekty (fce nebo promenne) - jiz musi byt v nejakem
   * modulu definovany (v casti globalnich definic)
   *
   * zde se objevi jako extern deklarace
   *
   */


//=================DEFINICE GLOBALNICH EXPORTOVANYCH PROMENNYCH===============

  /*
   * jde o globalni promenne, ktere maji byt sdileny s jinymi moduly, zde
   * nejsou definovany jako extern - jde o jejich "domaci" modul
   *
   * ve sdilenych modulech se objevi za pomoci .H souboru prislusejiciho
   * k tomuto modulu (v tomto .H souboru budou uvedeny jako extern deklarace)
   *
   */

//=======================LOKALNI DEFINICE PRO TENTO MODUL=====================

  /*
   * lokalni definice pouze pro tento modul (soubor), pokud by tyto definice
   * byly prilis rozsahle -> specialni .H soubor
   *
   */

  /*
   * 1. symbolicke konstanty a makra s parametry
   *
   */

  /*
   * 2. typy - zasadne pomoci typedef
   *
   */

  /*
   * 3. promenne - jde o globalni promenne pro tento modul - v pametove tride
   *    static
   *
   */

  /*
   * 4. uplne funkcni prototypy lokalnich (=pro tento modul) funkci, tj.
   * v pametove tride static
   *
   */

  /*
   * 5. fce main - pokud jde o hlavni soubor projektu
   *
   */

//========================DEFINICE GLOBALNICH FUNKCI==========================

  /*
   * jde o funkce, ktere jsou exportem modulu, jejich uplne funkcni prototypy
   * jsou v prislusnem .H souboru (obdobne jako u globalnich promennych, ani
   * zde neni uvedena zadna pametova trida, ale v prislusnem .H souboru jsou
   * deklarovany jako extern)
   *
   */

   /*
    * 1. Cteni z klavesnice
    *
    * 2. Obsluha stisku klaves
    *
    */

  /*************************
   *                       *
   * 1. Cteni z klavesnice *
   *                       *
   *************************/

//---------------------------GETKEY-------------------------------------------
int getkey(void)
{
 int key;

 fflush(stdin); /* vycisteni bufferu */

 return(((key = getch()) == '\0') ? (getch() + 128) : key);
}

//---------------------------GETDEFINED---------------------------------------
int getdefined(const int s[], int *index)
  /* ceka na stisk klavesy, ktera je ulozena v s[]
   * vraci tuto klavesu
   * v promenne index vraci index na tuto klavesu
   */
{
  int c; /* znak do ktereho ctu */

  do {
    c = getkey();
    for(*index = 0; (*(s + *index) != '\0' && *(s + *index) != c); ++(*index))
      ;
  } while (*(s + *index) == '\0');

  return(c);
}

  /*****************************************
   *                                       *
   * 2. Obsluha stisku klaves -> STISK_key *
   *                                       *
   *****************************************/

//----------------------------STISK_TAB---------------------------------------
void stisk_TAB(void)
{
  printf("stisk_TAB\n");
}

//----------------------------STISK_ESC---------------------------------------
void stisk_ESC(void)
{
  printf("stisk_ESC\n");
}

//----------------------------STISK_ENTER-------------------------------------
void stisk_ENTER(void)
{
  printf("stisk_ENTER\n");
}

//----------------------------STISK_BACK--------------------------------------
void stisk_BACK(void)
{
  printf("stisk_BACK\n");
}

//----------------------------STISK_F1----------------------------------------
void stisk_F1(void)
{
  printf("stisk_F1\n");
}

//----------------------------STISK_F2----------------------------------------
void stisk_F2(void)
{
  printf("stisk_F2\n");
}

//----------------------------STISK_F3----------------------------------------
void stisk_F3(void)
{
  printf("stisk_F3\n");
}

//----------------------------STISK_F4----------------------------------------
void stisk_F4(void)
{
  printf("stisk_F4\n");
}

//----------------------------STISK_F5----------------------------------------
void stisk_F5(void)
{
  printf("stisk_F5\n");
}

//----------------------------STISK_F6----------------------------------------
void stisk_F6(void)
{
  printf("stisk_F6\n");
}

//----------------------------STISK_F7----------------------------------------
void stisk_F7(void)
{
  printf("stisk_F7\n");
}

//----------------------------STISK_F8----------------------------------------
void stisk_F8(void)
{
  printf("stisk_F8\n");
}

//----------------------------STISK_F9----------------------------------------
void stisk_F9(void)
{
  printf("stisk_F9\n");
}

//----------------------------STISK_F10---------------------------------------
void stisk_F10(void)
{
  printf("stisk_F10\n");
}

//----------------------------STISK_F11---------------------------------------
void stisk_F11(void)
{
  printf("stisk_F11\n");
}

//----------------------------STISK_F12---------------------------------------
void stisk_F12(void)
{
  printf("stisk_F12\n");
}

//----------------------------STISK_INS---------------------------------------
void stisk_INS(void)
{
  printf("stisk_INS\n");
}

//----------------------------STISK_DEL---------------------------------------
void stisk_DEL(void)
{
  printf("stisk_DEL\n");
}

//----------------------------STISK_HOME--------------------------------------
void stisk_HOME(void)
{
  printf("stisk_HOME\n");
}

//----------------------------STISK_END---------------------------------------
void stisk_END(void)
{
  printf("stisk_END\n");
}

//----------------------------STISK_PGUP--------------------------------------
void stisk_PGUP(void)
{
  printf("stisk_PGUP\n");
}

//----------------------------STISK_PGDN--------------------------------------
void stisk_PGDN(void)
{
  printf("stisk_PGDN\n");
}

//----------------------------STISK_UP----------------------------------------
void stisk_UP(void)
{
  printf("stisk_UP\n");
}

//----------------------------STISK_DOWN--------------------------------------
void stisk_DOWN(void)
{
  printf("stisk_DOWN\n");
}

//----------------------------STISK_LEFT--------------------------------------
void stisk_LEFT(void)
{
  printf("stisk_LEFT\n");
}

//----------------------------STISK_RIGHT-------------------------------------
void stisk_RIGHT(void)
{
  printf("stisk_RIGHT\n");
}


//========================DEFINICE LOKALNICH FUNKCI===========================

  /*
   * definice funkci pro tento modul (pametova trida static)
   *
   * jejich funkcni prototypy - viz vyse
   *
   */