#ifndef CH_TAB_H
#define CH_TAB_H

//==========================DOKUMENTACNI CAST=================================

  /*
   * CH_TAB.H, verze 1.0
   *
   * Hlavickovy soubor k modulu CH_TAB.C, soucast programu CHEMTAB
   *
   * Obsahuje objekty ktere jsou predmetem exportu pri operacich s tabulkou
   *
   * Martin Slouf, 22.4.1999
   *
   */

//========================DEFINICE SYMBOLICKYCH KONSTANT======================

  /*
   * ktere budou vyuzivany i v jinych modulech
   *
   */

#define POCETPRVKU 92
  /* udava pocet prvku v souboru TABULKA.TXT */
#define SOUBOR "ch_dat.txt"
  /* jmeno souboru s udaji o chemickych prvcich */
#define MAXRADKA 100
  /* maximalni delka radky v souboru s daty - kvuli fci gets */
#define MU 1.66057E-27
  /* atomova hmotnostni jednotka */

//=======================DEFINICE MAKER S PARAMETRY===========================

  /*
   * ktere budou vyuzivany i v jinych modulech
   *
   */

#define q_sort(klic) qsort((void *) tabulka, POCETPRVKU, sizeof(PRVEK), klic)
  /* toto makro vyzaduje <stdlib.h>, vola fci qsort */

//========================DEFINICE GLOBALNICH TYPU============================

  /*
   * zasadne pomoci typedef
   *
   */

/* ZNACKA */
typedef char ZNACKA[3];

/* PRVEK */
typedef struct {
  ZNACKA znacka;
  double mr; /* relativni atomova hmotnost */
  int z; /* protonove cislo */
  double chi; /* elektronegativita */
} PRVEK, *P_PRVEK;

//============DEKLARACE GLOBALNICH PROMENNYCH PRISLUSNEHO .C MODULU===========

  /*
   * !!! deklarace, nikoli definice !!!
   *
   * jsou predmetem exportu .CPP modulu - zde uvedeny jako extern deklarace
   *
   */

extern P_PRVEK tabulka;

//=================UPLNE FUNKCNI PROTOTYPY PRISLUSNEHO .C MODULU==============

 /*
  * jsou predmetem exportu .CPP modulu - zde uvedeny jako extern deklarace
  *
  */

extern P_PRVEK je_atom(char s[]);
  /* vraci ukazatel na atom v poli, pokud s[] je znacka atomu
   * jinak vraci NULL
   */
extern int nacti_data(P_PRVEK *p_prvek);
  /* cte data ze souboru do pole P_PRVEK */
extern int trid_znacka(const void *p_a, const void *p_b);
  /* trideni podle znacky */
extern int trid_mr(const void *p_a, const void *p_b);
  /* trideni podle relativni atomove hmotnosti */
extern int trid_z(const void *p_a, const void *p_b);
  /* trideni podle protonoveho cisla */
extern int trid_chi(const void *p_a, const void *p_b);
  /* trideni podle elektronegativity */

#endif